Growler is a jQuery plugin designed to provide informative messages in the browser.
CSS JavaScript HTML CoffeeScript Ruby
Fetching latest commit…
Cannot retrieve the latest commit at this time.

jQuery Growl

Growl is a jQuery plugin designed to provide informative messages in the browser.


To install copy the javascripts, and stylesheets directories into your project and add the following snippet to the header:

<script src="" type="text/javascript"></script>
<script src="javascript/jquery.growl.js" type="text/javascript"></script>
<link href="stylesheets/jquery.growl.css" rel="stylesheet" type="text/css" />

This plugin is also registered under to simplify integration. Try:

npm install -g bower
bower install growl


+ source ''
+ gem 'rails-assets-growl'


 *= require growl


//= require jquery
//= require growl


Growling is easy:

<script type="text/javascript">
  $.growl({ title: "Growl", message: "The kitten is awake!", url: "/kittens" });
  $.growl.error({ message: "The kitten is attacking!" });
  $.growl.notice({ message: "The kitten is cute!" });
  $.growl.warning({ message: "The kitten is ugly!" });

Advanced Options

Growl also supports some customization through the following options:

  • delayOnHover: while hovering over the alert, prevent it from being dismissed (true | false - default: true)
  • duration: the duration (in milliseconds) for which the alert is displayed (default: 3200)
  • fixed: whether the alert should be fixed rather than auto-dismissed (true | false - default: false)
  • location: the alert's position ('tl' | 'tr' | 'bl' | 'br' | 'tc' | 'bc' - default: 'tr')
  • size: the alert's size ('small' | 'medium' | 'large' - default: 'medium')
  • style: the alert's style ('default' | 'error' | 'notice' | 'warning' - default: 'default')


  • static has been renamed to fixed due to minifier incompatabilities




Copyright (c) 2010 - 2018 Kevin Sylvestre. See LICENSE for details.